### Callable

- readlink(path: PathLike, options: object | BufferEncoding | undefined | null, callback: function): void
- readlink(path: PathLike, options: object | "buffer", callback: function): void
- readlink(path: PathLike, options: object | string | undefined | null, callback: function): void
- readlink(path: PathLike, callback: function): void

- - Defined in node_modules/@types/node/fs.d.ts:499

  Asynchronous readlink(2) - read value of a symbolic link.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### options: object | BufferEncoding | undefined | null

    The encoding (or an object specifying the encoding), used as the encoding of the result. If not provided, `'utf8'` is used.

  - ##### callback: function

    - - (err: ErrnoException, linkString: string): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### linkString: string

        #### Returns void

- - Defined in node_modules/@types/node/fs.d.ts:506

  Asynchronous readlink(2) - read value of a symbolic link.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### options: object | "buffer"

    The encoding (or an object specifying the encoding), used as the encoding of the result. If not provided, `'utf8'` is used.

  - ##### callback: function

    - - (err: ErrnoException, linkString: Buffer): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### linkString: Buffer

        #### Returns void

- - Defined in node_modules/@types/node/fs.d.ts:513

  Asynchronous readlink(2) - read value of a symbolic link.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### options: object | string | undefined | null

    The encoding (or an object specifying the encoding), used as the encoding of the result. If not provided, `'utf8'` is used.

  - ##### callback: function

    - - (err: ErrnoException, linkString: string | Buffer): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### linkString: string | Buffer

        #### Returns void

- - Defined in node_modules/@types/node/fs.d.ts:519

  Asynchronous readlink(2) - read value of a symbolic link.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### callback: function

    - - (err: ErrnoException, linkString: string): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### linkString: string

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(path: PathLike, options?: object | BufferEncoding | null): Promise<string>
- __promisify__(path: PathLike, options: object | "buffer"): Promise<Buffer>
- __promisify__(path: PathLike, options?: object | string | null): Promise<string | Buffer>

- - Defined in node_modules/@types/node/fs.d.ts:528

  Asynchronous readlink(2) - read value of a symbolic link.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### Optional options: object | BufferEncoding | null

    The encoding (or an object specifying the encoding), used as the encoding of the result. If not provided, `'utf8'` is used.

  #### Returns Promise<string>

- - Defined in node_modules/@types/node/fs.d.ts:535

  Asynchronous readlink(2) - read value of a symbolic link.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### options: object | "buffer"

    The encoding (or an object specifying the encoding), used as the encoding of the result. If not provided, `'utf8'` is used.

  #### Returns Promise<Buffer>

- - Defined in node_modules/@types/node/fs.d.ts:542

  Asynchronous readlink(2) - read value of a symbolic link.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### Optional options: object | string | null

    The encoding (or an object specifying the encoding), used as the encoding of the result. If not provided, `'utf8'` is used.

  #### Returns Promise<string | Buffer>

Generated using TypeDoc